summaryrefslogtreecommitdiffstats
path: root/process_configs.sh
diff options
context:
space:
mode:
authorJustin M. Forbes <jforbes@fedoraproject.org>2022-06-14 12:37:31 -0500
committerJustin M. Forbes <jforbes@fedoraproject.org>2022-06-14 12:37:31 -0500
commit10c23d228da55cf54db85d8194412d4af097b1f4 (patch)
tree26aa60a5e22386dafb94d1d4753138cca86b459b /process_configs.sh
parent3788a2a13227a90c1dd9d88634367722d76973bd (diff)
downloadkernel-10c23d228da55cf54db85d8194412d4af097b1f4.tar.gz
kernel-10c23d228da55cf54db85d8194412d4af097b1f4.tar.xz
kernel-10c23d228da55cf54db85d8194412d4af097b1f4.zip
kernel-5.18.4-200
* Tue Jun 14 2022 Justin M. Forbes <jforbes@fedoraproject.org> [5.18.4-0] - Linux v5.18.4 rebase - Enable CKI on os-build MRs only (Don Zickus) - drm/amd/display: Cap OLED brightness per max frame-average luminance (Roman Li) [2095858] - redhat/configs/fedora: Enable a set of modules used on some x86 tablets (Hans de Goede) - redhat/configs/fedora: enable missing modules modules for Intel IPU3 camera support (Hans de Goede) - redhat/configs: Make INTEL_SOC_PMIC_CHTDC_TI builtin (Hans de Goede) - redhat/configs: restore/fix core INTEL_LPSS configs to be builtin again (Hans de Goede) Resolves: rhbz#2095858 Signed-off-by: Justin M. Forbes <jforbes@fedoraproject.org>
Diffstat (limited to 'process_configs.sh')
-rwxr-xr-xprocess_configs.sh15
1 files changed, 7 insertions, 8 deletions
diff --git a/process_configs.sh b/process_configs.sh
index 91e6d1226..987fb78c1 100755
--- a/process_configs.sh
+++ b/process_configs.sh
@@ -6,6 +6,8 @@
# Globally disable suggestion of appending '|| exit' or '|| return' to cd/pushd/popd commands
# shellcheck disable=SC2164
+test -n "$RHTEST" && exit 0
+
usage()
{
# alphabetical order please
@@ -191,7 +193,7 @@ function commit_new_configs()
# assume we are in $source_tree/configs, need to get to top level
pushd "$(switch_to_toplevel)" &>/dev/null
- for cfg in "$SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}${SUBARCH}"*.config
+ for cfg in "$SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}"*.config
do
arch=$(head -1 "$cfg" | cut -b 3-)
cfgtmp="${cfg}.tmp"
@@ -260,7 +262,7 @@ function process_config()
rm .newoptions"${count}"
RETURNCODE=1
fi
- rm .newoptions"${count}"
+ rm -f .newoptions"${count}"
grep -E 'config.*warning' .listnewconfig"${count}" > .warnings"${count}"
if test -n "$CHECKWARNINGS" && test -s .warnings"${count}"
@@ -303,7 +305,7 @@ function process_configs()
[ -f .mismatches ] && rm -f .mismatches
count=0
- for cfg in "$SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}${SUBARCH}"*.config
+ for cfg in "$SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}"*.config
do
if [ "$count" -eq 0 ]; then
# do the first one by itself so that tools are built
@@ -385,12 +387,9 @@ do
shift
done
-PACKAGE_NAME="${1:-kernel}" # defines the package name used
-KVERREL="$(test -n "$2" && echo "-$2" || echo "")"
-SUBARCH="$(test -n "$3" && echo "-$3" || echo "")"
-FLAVOR="$(test -n "$4" && echo "-$4" || echo "-ark")"
+KVERREL="$(test -n "$1" && echo "-$1" || echo "")"
+FLAVOR="$(test -n "$2" && echo "-$2" || echo "-ark")"
# shellcheck disable=SC2015
-RHJOBS="$(test -n "$5" && echo "$5" || nproc --all)"
SCRIPT=$(readlink -f "$0")
SCRIPT_DIR=$(dirname "$SCRIPT")